SymetryML Documentation
Cif

Get total events count

Returns, for each requested CIF group name, the total number of events observed for that group in the fitted CIF model.

POST
/{user}/projects/{project}/cif/NtotEvents

Returns, for each requested CIF group name, the total number of events observed for that group in the fitted CIF model.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

project*string

Project identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/c1/projects/nbra_prj_iris/cif/NtotEvents" \  -H "Content-Type: application/json" \  -d '{    "values": [      "1",      "2"    ]  }'
{  "statusCode": 200,  "statusString": "OK",  "values": {    "stringList": {      "values": [        "140",        "90"      ]    }  }}
{  "statusCode": 400,  "statusString": "CIF project name[myproject] does not have groups with names[unknown], ",  "values": {}}